Package org.pushingpixels.trident

# Class TimelinePropertyBuilder.DefaultPropertyGetter<T>

java.lang.Object
org.pushingpixels.trident.TimelinePropertyBuilder.DefaultPropertyGetter<T>

All Implemented Interfaces:
  `TimelinePropertyBuilder.PropertyGetter<T>`

Enclosing class:
  `TimelinePropertyBuilder<T>`

public static class TimelinePropertyBuilder.DefaultPropertyGetter<T> extends Object implements TimelinePropertyBuilder.PropertyGetter<T>
Default property getter.

## Constructor Summary

Constructors
Constructor
Description
`DefaultPropertyGetter(Object obj, String fieldName)`

## Method Summary

Modifier and Type
Method
Description
`T`
`get(Object obj, String fieldName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultPropertyGetter

public DefaultPropertyGetter(Object obj, String fieldName)

## Method Details

### get

public T get(Object obj, String fieldName)

Specified by:
  `get` in interface `TimelinePropertyBuilder.PropertyGetter<T>`